/******************************************************************************
*******************************************************************************

	Bubble Fight EX
	relminator
	http://rel.betterwebber.com


	StarFighter class


*******************************************************************************
******************************************************************************/

#include <nds.h>
#include <gl2d.h>
#include "cearn_atan.h"
#include "UTIL.h"
#include "Sound.h"

#ifndef StarFighter__H
#define StarFighter__H



class StarFighter
{
	public:
		
		StarFighter();
		~StarFighter();
		
		void Update( int KeyH, int KeyD );
		void Draw( int Palette, glImage* const Sprites ) const;
		inline bool IsBursting() const
		{
			return ( BurstCounter > 0 );
		}
		s32		x;
		s32		y;
		
	private:
		s32		Dx;
		s32		Dy;
		int		BurstCounter;
		int 	StartFrame;
		int 	FlipMode;
		int		Frame;
		int 	Counter;
		int 	Direction;
		bool	Active;
		
		void Bounce();
		void Limit();
		
};





#endif
